Get history item

Retrieves a history item.

Path parameters

history_item_idstringRequired

ID of the history item to be used. You can use the Get generated items endpoint to retrieve a list of history items.

Headers

xi-api-keystringOptional

Response

Successful Response
history_item_idstring
The ID of the history item.
date_unixinteger
Unix timestamp of when the item was created.
character_count_change_frominteger
The character count change from.
character_count_change_tointeger
The character count change to.
content_typestring
The content type of the generated item.
stateany
request_idstring
The ID of the request.
voice_idstring
The ID of the voice used.
model_idstring
The ID of the model.
voice_namestring
The name of the voice.
voice_categoryenum
The category of the voice. Either 'premade', 'cloned', 'generated' or 'professional'.
Allowed values:
textstring
The text used to generate the audio item.
settingsmap from strings to any
The settings of the history item.
feedbackobject
Feedback associated with the generated item. Returns null if no feedback has been provided.
sourceenum

The source of the history item. Either TTS (text to speech), STS (speech to text), AN (audio native), Projects, Dubbing, PlayAPI, PD (pronunciation dictionary) or ConvAI (Agents Platform).

alignmentsobject
The alignments of the history item.
dialoguelist of objects

The dialogue (voice and text pairs) used to generate the audio item. If this is set then the top level text and voice_id fields will be empty.

output_formatstring
The output format the audio was originally generated in.

Errors

422
History Get Request Unprocessable Entity Error